Bug 537364 - yum-builddep not installing missing dependency
yum-builddep not installing missing dependency
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-13 05:20 EST by Luya Tshimbalanga
Modified: 2014-01-21 18:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 16:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2009-11-13 05:20:56 EST
Description of problem:
yum-utils will not install missing dependency like gcc-c++ needed for some srpm package like synfig.

Version-Release number of selected component (if applicable):
1.1.23

How reproducible:
Always

Steps to Reproduce:
1. Download srpm synfig (on #531773 and soon to be available via Koji)
2. Use yum-builddep which is from yum-utils package
3. Rebuild synfig pacakge
  
Actual results:
gcc-c++ is not installed

Expected results:
gcc-c++ should be installed

Additional info:
Reproduction of compile and rebuild should be done cleanly.
Comment 1 Bug Zapper 2009-11-16 10:31:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 seth vidal 2010-01-12 16:11:35 EST
gcc-c++ is part of the base set of build requirements and is therefore never listed as a build req in any pkg.

Note You need to log in before you can comment on or make changes to this bug.